Page MenuHomePhabricator

Add binaries for lcdproc
Closed, ResolvedPublicFEATURE REQUEST

Description

Consider adding the lcdproc package to the base installation. VyOs is a great option for re-purposed older hardware firewall appliances like Watchguard Fireboxes, etc.. These machines typically have a front-facing LCD screen, sometimes with a keypad. Having support for LCDs would make VyOS that much more desirable for new users.

FWIW, the discussion threads for these appliances on the pfSense forum (including enabling the LCDs) attract hundreds of posts, and many thousands of reads. This seems like something people REALLY want to make work. There is something inherently attractive to the idea of running a firewall distribution on a purpose-made machine after it makes it's way out of a data center and into private hands.

Currently, the lcdproc package has to be installed in VyOS from the Debian packages. Then, a config file has to be created with the right driver and options. Last, the LCDd server and (one or more) clients have to be started as well. Other steps have to be taken to redo this after a restart.

A further step would be to integrate this whole setup within the VyOS command line for a complete integration.

Thanks for considering it.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

fmertz created this task.Sep 28 2017, 8:19 PM

Is there any possibility to test this functionality in some kind of virtualized environment? Or the developer has to own an appliance with lcd screen to check this things?

Virtualization would work fine. The daemon/server LCDd is just code, and can be configured to run a nCurses "driver". Some other drivers only do parallel port stuff so would do nothing in a virtual environment. Other drivers do serial port and I suppose the data stream could be monitored. The clients (lcdproc, lcdexec, etc) are just programs that push data to LCDd over TCP.

So, how would an extension like this work?

  • The lcdproc package has to be baked into the base image and is distributed in all copies of VyOS going forward. The command line is supplemented with the necessary nodes and config files to offer a convenient way to manage the LCD

OR

  • A Debian-type integration package has to be created. It is basically a script that supplements the command line by adding the necessary nodes and config files. This new package lists "lcdproc" as one of its dependencies. This new optional package is maintained and distributed by VyOS.

Thanks for any input.

syncer triaged this task as Wishlist priority.Dec 21 2017, 9:48 PM
dmbaturin moved this task from Need Triage to Wishlist on the VyOS 1.2 Crux board.May 24 2018, 5:45 PM
hagbard claimed this task.Feb 22 2019, 8:17 PM
hagbard changed the task status from Open to In progress.Feb 22 2019, 8:29 PM

binaries (lcdproc, lcdproc-extra-drivers) added to rolling releases.

hagbard closed this task as Resolved.Mar 4 2019, 6:01 PM
hagbard moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
syncer added a subscriber: syncer.

@hagbard need this in the crux

syncer reopened this task as In progress.Mar 16 2019, 8:52 PM
syncer moved this task from Needs Triage to Backlog on the VyOS 1.2 Crux (VyOS 1.2.1) board.
pasik added a subscriber: pasik.Mar 17 2019, 3:02 PM